Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040558
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-09 19:232019-05-21 15:17
ReportershuehnerView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionaef2b99aa990
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040558: Review and possibly remove old pre-aprm CreateFile (aka c_settlement_createFile) implementation

DescriptionThis class is related to very old pre-aprm c_settlement table and not in use for any instance using APRM (which is mandatory since 3.0).

As it recently came up in some security related issue it should be verified that this class is obsolete/useless in all cases today and removed.

Relevant source-file:
./src/org/openbravo/erpCommon/ad_actionButton/CreateFile.html
./src/org/openbravo/erpCommon/ad_actionButton/CreateFile.xml
./src/org/openbravo/erpCommon/ad_actionButton/CreateFile_data.xsql
./src/org/openbravo/erpCommon/ad_actionButton/CreateFile.java
./src/org/openbravo/erpCommon/ad_actionButton/CreateFile34_data.xsql
./src/org/openbravo/erpCommon/ad_actionButton/TyperemittanceCombo_data.xsql
Steps To Reproduce-
Proposed SolutionDouble check that this file is obsolete in all-case:
a.) People never having used pre-aprm flows
b.) People migrated from pre-aprm to aprm

When confirmed:
Delete that implementation + related files (also related AD_ entries (ad_process etc)
As usual when removing that java file check inside if some external utility method was only created for it and nothing else. If that is the case that utility method itself is a deletion candidate.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0111733)
hgbot (developer)
2019-05-16 20:41

Repository: erp/devel/pi
Changeset: aef2b99aa990509ffff9d1f62c97d73f4f2c5007
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 03 02:58:20 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/aef2b99aa990509ffff9d1f62c97d73f4f2c5007 [^]

Fixes Issue 40558:Review and possibly remove old pre-aprm
CreateFile (aka c_settlement_createFile) implementation

** Removed process for Create File in AD_Column.
** Removed process for Create File class that was used in
old flows settlement, manual settlement and remittance
windows, model object, model object mapping.
** Removed .java, .html, .xml, xsql files used in Create File
** Removed CreateFile34_data, TyperemittanceCombo data xsql
used in Create File java class
** Remove ad_message, ad_textinterfaces,
** Update AD_field name, description, help for related fields
of the columns whose Create File process is removed.
** Remove process access for F&B International Group & QA
Testing client.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFile.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFile.java
R src/org/openbravo/erpCommon/ad_actionButton/CreateFile.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFile34_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/CreateFile_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/TyperemittanceCombo_data.xsql
---
(0111743)
hgbot (developer)
2019-05-16 20:41

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: b86d095997e10d13d255b4a8725586cefbcf948d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 03 02:26:11 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/b86d095997e10d13d255b4a8725586cefbcf948d [^]

Related To Issue 40558: Remove process access for
Create File process that was used in old flows
settlement, manual settlement and remittance window

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0111745)
hgbot (developer)
2019-05-16 20:46

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 9d8831fad8e83f4dcd6e52b31a69c6dc9a45e5ec
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 03 14:19:10 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/9d8831fad8e83f4dcd6e52b31a69c6dc9a45e5ec [^]

Related To Issue 40558: Remove process access in retail sample
data module for Create File process that was used in old flows
settlement, manual settlement and remittance window

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0111747)
hgbot (developer)
2019-05-16 20:47

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 4b5516d221a6ae29e2fe4f28b22ef787dc95525a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 03 02:21:42 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/4b5516d221a6ae29e2fe4f28b22ef787dc95525a [^]

Related To Issue 40558: Remove process access for
Create File process that was used in old flows
settlement, manual settlement and remittance window

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0111752)
vmromanos (developer)
2019-05-17 08:03

Code review OK
(0112040)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 19:23 shuehner New Issue
2019-04-09 19:23 shuehner Assigned To => Triage Finance
2019-04-09 19:23 shuehner Modules => Core
2019-04-09 19:23 shuehner Triggers an Emergency Pack => No
2019-04-09 19:44 shuehner Target Version => 3.0PR19Q3
2019-04-09 19:56 shuehner Relationship added blocks 0032688
2019-04-24 21:36 AtulOpenbravo Status new => scheduled
2019-05-16 12:43 vmromanos Review Assigned To => vmromanos
2019-05-16 20:41 hgbot Checkin
2019-05-16 20:41 hgbot Note Added: 0111733
2019-05-16 20:41 hgbot Status scheduled => resolved
2019-05-16 20:41 hgbot Resolution open => fixed
2019-05-16 20:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/aef2b99aa990509ffff9d1f62c97d73f4f2c5007 [^]
2019-05-16 20:41 hgbot Checkin
2019-05-16 20:41 hgbot Note Added: 0111743
2019-05-16 20:46 hgbot Checkin
2019-05-16 20:46 hgbot Note Added: 0111745
2019-05-16 20:47 hgbot Checkin
2019-05-16 20:47 hgbot Note Added: 0111747
2019-05-17 08:03 vmromanos Assigned To Triage Finance => AtulOpenbravo
2019-05-17 08:03 vmromanos Note Added: 0111752
2019-05-17 08:03 vmromanos Status resolved => closed
2019-05-17 08:03 vmromanos Fixed in Version => 3.0PR19Q3
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112040


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker